# Select_Reactor_T.h File Reference

`#include "ace/Select_Reactor_Base.h"`
`#include "ace/Lock_Adapter_T.h"`
`#include "ace/Token.h"`
`#include "ace/Select_Reactor_T.inl"`
`#include "ace/Select_Reactor_T.cpp"`

Include dependency graph for Select_Reactor_T.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Select_Reactor_T< ACE_SELECT_REACTOR_TOKEN >
| An object oriented event demultiplexor and event handler dispatcher. More...

## Variables

ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_Noop_Token | ACE_SELECT_TOKEN

## Detailed Description

Id
  Select_Reactor_T.h,v 4.50 2006/02/10 10:39:07 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Variable Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_Noop_Token ACE_SELECT_TOKEN